/* CSS Reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* フォント */
:root {
  font-family: "Montserrat", "Noto Sans JP", sans-serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: normal;
}

/* ダミーヘッダー */
.header {
  background: #efefef;
  color: #333;
  padding: 1em;
  text-align: center;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
  display: flex;
  justify-content: space-between;
}
.header__logo {
  display: flex;
  align-items: center;
  gap: 0.5em;
  h1 {
    font-size: 24px;
    font-weight: 600;
    margin: 0;
  }
}
.header__button {
  appearance: none;
  padding: 0;
  margin: 0;
  border-color: transparent;
  border-radius: 0;
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 40px;
  border: none;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}
.header__button:hover {
  font-size: 44px;
}
.header__button:active {
  animation: shake 0.5s ease-in-out;
}
@keyframes shake {
  0% { transform: rotate(0deg); }
  25% { transform: rotate(10deg); }
  50% { transform: rotate(-10deg); }
  75% { transform: rotate(5deg); }
  100% { transform: rotate(0deg); }
}

main {
  padding: 120px 1em 1em;
  background: #fff;
  color: #333;
  min-height: 100svh;
  display: flex;
  align-items: center;
  justify-content: center;
}
h1 {
  font-size: 32px;
  font-weight: 600;
  margin-bottom: 0.5em;
}
p {
  font-size: 14px;
  font-weight: 400;
  line-height: 1.7;
}
.button {
  appearance: none;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0.5em 1em;
  border-radius: 8px;
  background: #333;
  color: #fff;
  border: none;
  font-size: 14px;
  text-decoration: none;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  margin: 1em 0 80px;
  width: 180px;
  align-items: center;
}
.button:hover {
  background: #555;
}
.button.button--secondary {
  background: #efefef;
  color: #333;
}
.button.button--secondary:hover {
  background: #ddd;
}

/* モーダル用スタイル */
.modal {
  border: none;
  background-color: transparent;
  margin: auto;
}
.modal__inner {
  background: #fff;
  padding: 0;
  border-radius: 16px;
  width: min(90vw, 500px);
  box-shadow: 0 2px 16px rgba(0,0,0,0.2);
  position: relative;
  font-size: 14px;
  font-weight: 400;
  overflow: hidden;
}
.modal::backdrop {
  background: rgba(0, 0, 0, 0.5);
}
.modal__close {
  position: absolute;
  top: 10px;
  right: 10px;
  text-decoration: none;
  background: none;
  border: none;
  font-size: 30px;
  cursor: pointer;
  color: #000;
  border-radius: 100vmax;
  width: 40px;
  height: 40px;
  background-color: #333;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: ease 300ms;
}
.modal__close:hover {
  background-color: #555;
}
.modal__text {
  padding: 1em 2em 2em;
}
.modal__title {
  font-size: 24px;
  font-weight: 600;
  margin-bottom: 0.5em;
}
.modal__image {
  aspect-ratio: 16/9;
  object-fit: cover;
  object-position: 50% 65%;
  width: 100%;
  height: auto;
  margin: 0;
  padding: 0;
}

/* SWUP */
html.is-changing .transition-main {
  transition: opacity 250ms;
  opacity: 1;
}
html.is-animating .transition-main {
  opacity: 0;
}

#modal.is-changing {
  transition: opacity 250ms;
}
#modal.is-animating {
  opacity: 0;
}

#modal::backdrop {
    transition: opacity .3s
}

#modal.is-animating::backdrop,
.is-animating #modal::backdrop {
    opacity: 0
}